Bug 202993 - textproc/p5-xmltv: use of TZ config variable in Date::Manip is deprecated
Summary: textproc/p5-xmltv: use of TZ config variable in Date::Manip is deprecated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-09 14:20 UTC by J.R. Oldroyd
Modified: 2015-12-29 20:42 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2015-09-09 14:20:53 UTC
tv_grab_na_dd is now generating warnings like this:

WARNING: the TZ Date::Manip config variable is deprecated
         and will be removed in March 2016.  Please use
         the SetDate or ForceDate config variables instead.
Comment 1 dekarl 2015-09-15 13:13:15 UTC
This has already been fixed and released upstream. Updating the port to 0.5.67 should solve this.
see http://xmltv.cvs.sourceforge.net/viewvc/xmltv/xmltv/grab/na_dd/tv_grab_na_dd.in?view=log
and http://portscout.freebsd.org/multimedia@freebsd.org.html
Comment 2 Thomas Zander freebsd_committer 2015-12-27 15:09:37 UTC
It would help a lot if someone who uses this port on a regular basis proposed an update to latest upstream.
Comment 3 Thomas Zander freebsd_committer 2015-12-29 20:35:01 UTC
Submitter has sent a patch via personal mail.
Comment 4 commit-hook freebsd_committer 2015-12-29 20:37:13 UTC
A commit references this bug:

Author: riggs
Date: Tue Dec 29 20:36:22 UTC 2015
New revision: 404785
URL: https://svnweb.freebsd.org/changeset/ports/404785

Log:
  Update to upstream version 0.5.67

  PR:		202993
  Submitted by:	fbsd@opal.com

Changes:
  head/textproc/p5-xmltv/Makefile
  head/textproc/p5-xmltv/distinfo
  head/textproc/p5-xmltv/files/patch-grab-na_dd-tv_grab_na_dd.in
  head/textproc/p5-xmltv/pkg-plist